This page last changed on Apr 24, 2016 by nickbrookes76.

i'm trying to install on ubuntu 16.04 LTS Server - but i have a problem - the java version supported by openremote is no longer available in the ubuntu repositories. is there a way around this?

the result of which java and java version are as follows

nick@lamp:~$ which java
/usr/bin/java
nick@lamp:~$ java -version
openjdk version "1.8.0_03-Ubuntu"
OpenJDK Runtime Environment (build 1.8.0_03-Ubuntu-8u77-b03-3ubuntu3-b03)
OpenJDK 64-Bit Server VM (build 25.03-b03, mixed mode)
nick@lamp:~$

Hi Nick.

There is not way to make openremote work in ubuntu without java 6. That was my experience.

Uninstall you actual version and try

sudo apt-get install openjdk-6-jdk

After that set you JAVA_HOME

Good luck.

Posted by edito at May 28, 2016 00:39
Document generated by Confluence on Jun 05, 2016 09:34